package com.tjk.entity;

import java.sql.Timestamp;

/**
 * UserBankcard entity. @author MyEclipse Persistence Tools
 */

public class Bankcard implements java.io.Serializable {

	// Fields
	private static final long serialVersionUID = 2543768764575333967L;
	private Integer id;
	private Integer uid;
	private String openBank;
	private String openName;
	private String openCardno;
	private Integer isDefault;
	private Timestamp postTime;
	private Integer cardId;

	// Constructors


	/** default constructor */
	public Bankcard() {
	}

	/** full constructor */
	public Bankcard(Integer uid, String openBank, String openName,
			String openCardno, Integer isDefault, Timestamp postTime,Integer cardId) {
		this.uid = uid;
		this.openBank = openBank;
		this.openName = openName;
		this.openCardno = openCardno;
		this.isDefault = isDefault;
		this.postTime = postTime;
		this.cardId=cardId;
	}

	// Property accessors

	public Integer getCardId() {
		return cardId;
	}

	public void setCardId(Integer cardId) {
		this.cardId = cardId;
	}
	
	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getUid() {
		return this.uid;
	}

	public void setUid(Integer uid) {
		this.uid = uid;
	}

	public String getOpenBank() {
		return this.openBank;
	}

	public void setOpenBank(String openBank) {
		this.openBank = openBank;
	}

	public String getOpenName() {
		return this.openName;
	}

	public void setOpenName(String openName) {
		this.openName = openName;
	}

	public String getOpenCardno() {
		return this.openCardno;
	}

	public void setOpenCardno(String openCardno) {
		this.openCardno = openCardno;
	}

	public Integer getIsDefault() {
		return this.isDefault;
	}

	public void setIsDefault(Integer isDefault) {
		this.isDefault = isDefault;
	}

	public Timestamp getPostTime() {
		return this.postTime;
	}

	public void setPostTime(Timestamp postTime) {
		this.postTime = postTime;
	}

}